View Issue Details

IDProjectCategoryView StatusLast Update
0001781SOGoWeb Calendarpublic2012-09-19 10:58
Reporterdab1818 Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.14 
Fixed in Version1.3.18 
Summary0001781: localized text in invite mail notification "HTMLescaped"
Description

example message (in russian):
"?? ?????????? ????????? ??????????:
---Attendees skipped---
... ??????????? ? ????????? ???????????:
Название: ????? ???????
Начало: ??????? 24 ?????? 2012 - 12.00
Конец: ??????? 24 ?????? 2012 - 13.10"

Additional Information

file: UI/Templates/Appointments/SOGoAptMailInvitationReceipt.wox
not all fields marked as const:escapeHTML="NO"

patch attached.

TagsNo tags attached.

Activities

2012-04-26 07:13

 

SOGoAptMailInvitationReceipt.patch (939 bytes)   
--- UI/Templates/Appointments/SOGoAptMailInvitationReceipt.wox.orig    2012-03-23 19:26:54.000000000 +0400
+++ UI/Templates/Appointments/SOGoAptMailInvitationReceipt.wox    2012-04-26 11:54:43.000000000 +0400
@@ -21,11 +21,11 @@
 
 <var:string label:value="... to attend the following event:"
       const:escapeHTML="NO"/>
-    <var:string label:value="Title:"/> <var:string value="apt.summary"
+    <var:string label:value="Title:" const:escapeHTML="NO"/> <var:string value="apt.summary"
       const:escapeHTML="NO"/>
-    <var:string label:value="Start:"/> <var:string value="aptStartDate"
+    <var:string label:value="Start:" const:escapeHTML="NO"/> <var:string value="aptStartDate"
       const:escapeHTML="NO"/>
-    <var:string label:value="End:"/> <var:string value="aptEndDate"
+    <var:string label:value="End:" const:escapeHTML="NO"/> <var:string value="aptEndDate"
       const:escapeHTML="NO"/>
   </var:if>
 </container>

2012-05-27 08:12

 

screen-2012-05-27-16-06-36.png (9,031 bytes)   
screen-2012-05-27-16-06-36.png (9,031 bytes)   

Issue History

Date Modified Username Field Change
2012-04-26 07:13 dab1818 New Issue
2012-04-26 07:13 dab1818 File Added: SOGoAptMailInvitationReceipt.patch
2012-05-27 08:12 dab1818 File Added: screen-2012-05-27-16-06-36.png
2012-09-19 10:58 francis Status new => resolved
2012-09-19 10:58 francis Fixed in Version => 1.3.18
2012-09-19 10:58 francis Resolution open => fixed
2012-09-19 10:58 francis Assigned To => francis